pylabrobot.molecular_devices.spectramax.MolecularDevicesPlateReader#

class pylabrobot.molecular_devices.spectramax.MolecularDevicesPlateReader(port: str, human_readable_device_name: str = 'Molecular Devices Plate Reader')#

Bases: object

Serial driver for Molecular Devices plate readers.

Owns the serial connection, command protocol, and device-level operations (open/close tray, status, error log, shake).

Attributes

Methods

__init__(port[, human_readable_device_name])

clear_error_log()

Clear the device error log.

close()

Close the plate tray.

deactivate()

open()

Open the plate tray.

read_absorbance(plate, wells, wavelength[, ...])

Read absorbance.

read_error_log()

Read the device error log.

request_current_temperature()

request_firmware_version()

Get the firmware version.

request_status()

Get the current device status.

request_temperature()

Get (current_temp, set_point) from the device.

send_command(command[, timeout, num_res_fields])

Send a command and receive the response, automatically determining the number of response fields.

set_temperature(temperature)

setup()

start_shake()

Start shaking.

stop()

stop_shake()

Stop shaking.

wait_for_idle([timeout])

Wait for the plate reader to become idle.

Parameters:
  • port (str)

  • human_readable_device_name (str)